Bug 147958 - [MAINTAINER] sysutils/luckybackup: Update to 0.4.0
Summary: [MAINTAINER] sysutils/luckybackup: Update to 0.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-18 08:10 UTC by Jason E. Hale
Modified: 2010-06-30 18:50 UTC (History)
0 users

See Also:


Attachments
2010-06-18-luckybackup.diff (5.72 KB, patch)
2010-06-18 08:10 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2010-06-18 08:10:01 UTC
- Update sysutils/luckybackup to version 0.4.0
- Add LICENSE

How-To-Repeat: Use attached diff.
Comment 1 Jason E. Hale 2010-06-18 09:22:00 UTC
Update to 0.4.1 instead. :-)

--- 2010-06-18b-luckybackup.diff begins here ---
diff -ruN luckybackup.orig/Makefile luckybackup/Makefile
--- luckybackup.orig/Makefile	2010-06-13 06:02:30.000000000 -0400
+++ luckybackup/Makefile	2010-06-18 04:09:48.000000000 -0400
@@ -5,8 +5,7 @@
 # $FreeBSD: ports/sysutils/luckybackup/Makefile,v 1.6 2010/03/28 06:43:58 dinoex Exp $
 
 PORTNAME=	luckybackup
-PORTVERSION=	0.3.5
-PORTREVISION=	1
+PORTVERSION=	0.4.1
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}/source
 
@@ -23,6 +22,9 @@
 MAN8=		luckybackup.8
 MANCOMPRESSED=	yes
 
+LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/license/gpl.txt
+
 .include <bsd.port.pre.mk>
 
 post-patch:
diff -ruN luckybackup.orig/distinfo luckybackup/distinfo
--- luckybackup.orig/distinfo	2010-06-13 06:02:30.000000000 -0400
+++ luckybackup/distinfo	2010-06-18 03:56:54.000000000 -0400
@@ -1,3 +1,3 @@
-MD5 (luckybackup-0.3.5.tar.gz) = 58abb975e4b574d5a65ae1c2ce62393c
-SHA256 (luckybackup-0.3.5.tar.gz) = 6152efa06a9ccbe570feebfaf17b236aad022c669ca3a1f34bb8d655724296e9
-SIZE (luckybackup-0.3.5.tar.gz) = 3258563
+MD5 (luckybackup-0.4.1.tar.gz) = 14c2d65cd5626a118401771d6230cac2
+SHA256 (luckybackup-0.4.1.tar.gz) = 1d26ddd8269d277df984c60c6d630c0c4a8b6e45f8e7f0ba6520947f60894d41
+SIZE (luckybackup-0.4.1.tar.gz) = 5336715
diff -ruN luckybackup.orig/pkg-plist luckybackup/pkg-plist
--- luckybackup.orig/pkg-plist	2010-06-13 06:02:30.000000000 -0400
+++ luckybackup/pkg-plist	2010-06-18 04:15:07.000000000 -0400
@@ -19,6 +19,8 @@
 share/doc/luckybackup/manual/data/MainWindowFirstEntryAdded.png
 share/doc/luckybackup/manual/data/MainWindowFull.png
 share/doc/luckybackup/manual/data/MainWindow_DryRun.png
+share/doc/luckybackup/manual/data/MainWindow_task.png
+share/doc/luckybackup/manual/data/Message_CloneWarning.png
 share/doc/luckybackup/manual/data/Message_CreateRestore.png
 share/doc/luckybackup/manual/data/Message_OperaionPropertiesSpecifyFollowing.png
 share/doc/luckybackup/manual/data/Message_SameDestinationWarning.png
@@ -28,39 +30,62 @@
 share/doc/luckybackup/manual/data/OperationPropertiesAdvancedEmpty4.png
 share/doc/luckybackup/manual/data/OperationPropertiesAdvancedEmpty5.png
 share/doc/luckybackup/manual/data/OperationPropertiesAdvancedEmpty8.png
+share/doc/luckybackup/manual/data/OperationPropertiesAlsoExecuteBefore.png
+share/doc/luckybackup/manual/data/OperationPropertiesDuplicate.png
 share/doc/luckybackup/manual/data/OperationPropertiesSimpleBackup.png
 share/doc/luckybackup/manual/data/OperationPropertiesSimpleEmpty.png
 share/doc/luckybackup/manual/data/OperationProperties_ExcludeFull1.png
 share/doc/luckybackup/manual/data/OperationProperties_ExcludeFull2.png
-share/doc/luckybackup/manual/data/OperationProperties_OnlyInlcudeFull.png
+share/doc/luckybackup/manual/data/OperationProperties_OnlyIncludeFull.png
 share/doc/luckybackup/manual/data/OperationProperties_OptionsChanged2.png
 share/doc/luckybackup/manual/data/OperationProperties_RemoteFull.png
+share/doc/luckybackup/manual/data/PatternEditor1.png
+share/doc/luckybackup/manual/data/PatternEditor2.png
+share/doc/luckybackup/manual/data/PatternEditor3.png
+share/doc/luckybackup/manual/data/PatternEditor4.png
 share/doc/luckybackup/manual/data/ProfileNew.png
 share/doc/luckybackup/manual/data/about.png
 share/doc/luckybackup/manual/data/gpl.png
 share/doc/luckybackup/manual/data/luckyb.png
 share/doc/luckybackup/manual/data/luckybackup_320.png
+share/doc/luckybackup/manual/data/manage_calcDifferences.png
+share/doc/luckybackup/manual/data/manage_delete.png
+share/doc/luckybackup/manual/data/manage_logViewer.png
+share/doc/luckybackup/manual/data/manage_logViewer2.png
+share/doc/luckybackup/manual/data/manage_logViewer_withError.png
+share/doc/luckybackup/manual/data/manage_main_withSource.png
+share/doc/luckybackup/manual/data/manage_main_withoutSource.png
+share/doc/luckybackup/manual/data/manage_restore.png
+share/doc/luckybackup/manual/data/manage_restore2.png
+share/doc/luckybackup/manual/data/menuLanguage.png
 share/doc/luckybackup/manual/data/menuProfile.png
 share/doc/luckybackup/manual/data/menuSettings.png
+share/doc/luckybackup/manual/data/menuTask.png
+share/doc/luckybackup/manual/data/menuToolbars.png
+share/doc/luckybackup/manual/data/menu_LinkNormal.png
+share/doc/luckybackup/manual/data/menu_LinkRoot.png
 share/doc/luckybackup/manual/data/popup_ProfileDelete.png
 share/doc/luckybackup/manual/data/popup_ProfileExport.png
 share/doc/luckybackup/manual/data/popup_ProfileImport.png
 share/doc/luckybackup/manual/data/popup_ProfileRename.png
 share/doc/luckybackup/manual/data/rsync_InAction.png
-share/doc/luckybackup/manual/data/rsync_operations completed.png
 share/doc/luckybackup/manual/data/rsync_operations_aborted.png
 share/doc/luckybackup/manual/data/rsync_operations_completed.png
 share/doc/luckybackup/manual/data/scheduleAdd.png
 share/doc/luckybackup/manual/data/scheduleAdded.png
 share/doc/luckybackup/manual/data/scheduleEmpty.png
 share/doc/luckybackup/manual/data/scheduleFull.png
+share/doc/luckybackup/manual/data/scheduleUpdated.png
+share/doc/luckybackup/manual/data/scheduleViewCrontab.png
+share/doc/luckybackup/manual/data/ssh-askpass.png
 share/doc/luckybackup/manual/data/toolBar.png
+share/doc/luckybackup/manual/data/trayWithBubble.png
 share/doc/luckybackup/manual/data/up.png
 share/doc/luckybackup/manual/index.html
 share/luckybackup/translations/luckybackup_ara.qm
 share/luckybackup/translations/luckybackup_ara.ts
-share/luckybackup/translations/luckybackup_bh.qm
-share/luckybackup/translations/luckybackup_bh.ts
+share/luckybackup/translations/luckybackup_bs.qm
+share/luckybackup/translations/luckybackup_bs.ts
 share/luckybackup/translations/luckybackup_cs.qm
 share/luckybackup/translations/luckybackup_cs.ts
 share/luckybackup/translations/luckybackup_de.qm
@@ -83,6 +108,12 @@
 share/luckybackup/translations/luckybackup_ro.ts
 share/luckybackup/translations/luckybackup_ru.qm
 share/luckybackup/translations/luckybackup_ru.ts
+share/luckybackup/translations/luckybackup_sl.qm
+share/luckybackup/translations/luckybackup_sl.ts
+share/luckybackup/translations/luckybackup_sv.qm
+share/luckybackup/translations/luckybackup_sv.ts
+share/luckybackup/translations/luckybackup_tr.qm
+share/luckybackup/translations/luckybackup_tr.ts
 share/pixmaps/luckybackup.png
 share/pixmaps/luckybackup.xpm
 @dirrm share/luckybackup/translations
--- 2010-06-18b-luckybackup.diff ends here ---
Comment 2 Sylvio Cesar Teixeira freebsd_committer 2010-06-28 17:16:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-06-30 18:47:17 UTC
sylvio      2010-06-30 17:47:03 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/luckybackup Makefile distinfo pkg-plist 
  Log:
  - Update to 0.4.0
  
  PR:             ports/147958
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +4 -2      ports/sysutils/luckybackup/Makefile
  1.5       +3 -3      ports/sysutils/luckybackup/distinfo
  1.5       +32 -2     ports/sysutils/luckybackup/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2010-06-30 18:47:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!